t.rast.import(1)

NAME
t.rast.import.py - Imports space time raster dataset.

KEYWORDS
temporal, import, raster, time, create location

SYNOPSIS
t.rast.import.py
t.rast.import.py --help
t.rast.import.py [-rleoc] input=name output=name [basename=string] directory=name [title=string] [description=string] [location=string] [memory=memory in MB] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Set the current region from the last map that was imported

-l
    Link the raster files using r.external

-e
    Extend location extents based on new dataset

-o
    Override projection check (use current location’s projection)
    Assume that the dataset has same projection as the current location

-c
    Create the location specified by the "location" parameter and exit. Do not import the space time raster datasets.

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input file

output=name [required]
    Name of the output space time raster dataset

basename=string
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

directory=name [required]
    Path to the extraction directory
    Default: /tmp

title=string
    Title of the new space time dataset

description=string
    Description of the new space time dataset

location=string
    Create a new location and import the data into it. Do not run this module in parallel or interrupt it when a new location should be created

memory=memory in MB
    Maximum memory to be used (in MB)
    Cache size for raster rows
    Default: 300

DESCRIPTION
t.rast.import imports a space time raster dataset archive that was exported with t.rast.export.

NOTES
Optionally a base map name can be provided to avoid that existing raster maps are overwritten by the map names that are used in the STRDS archive.

The directory is used as work directory in case of import but can also be used as a data directory when using GeoTIFF for the data exchange.

EXAMPLE
The North Carolina space time dataset contains a data package called lst_daily.tar.bzip2 with daily data from MODIS LST. Import it by running:

t.rast.import input=lst_daily.tar.bzip2 output=lst_daily \
              basename=lst directory=/tmp

SEE ALSO
t.rast.export, t.create, t.info, r.in.gdal, r.unpack, t.vect.import

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast.import source code (history)

Accessed: Sat Jun 18 04:31:09 2022

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.0 Reference Manual